function plugindef()
   -- This function and the 'finaleplugin' namespace
   -- are both reserved for the plug-in definition.
   finaleplugin.Author = "Chris"
   finaleplugin.Version = "0.91"
   finaleplugin.Date = "08/02/2016"
   finaleplugin.AuthorEmail = "chris@finale-logiciel-aide-gravure-musicale.eu"
   finaleplugin.CategoryTags = "Note, Region"
   return "Distribue couche 1 sur 2 voix", "Distribue couche 1 sur 2 voix", ""
end

local function creerVoix(musicregion)
	for m, s in eachcell(musicregion) do
		-- 'm' is the measure number, 's' is the staff number/ID
		local layer1=finale.FCNoteEntryLayer( 0,s,m,m)
		layer1:Load()

		local ind = 0
		local lastVoiceTwo = NULL
		local notVoiceTwo = true    -- indique absence de 2 voix (possibilité silence)

		repeat
            if layer1.Count == 0 then break end
			local noteentry = layer1:GetItemAt(ind)

			if noteentry and musicregion:IsEntryPosWithin(noteentry) then

				if noteentry:IsNote() and noteentry.Count == 2 then
					local newEntry

					if noteentry.BeamBeat or notVoiceTwo then  -- début de ligatures
						newEntry = layer1:InsertEntriesAfter(noteentry,1,false)
						noteentry.Voice2Launch = true
					else
						newEntry = layer1:InsertEntriesAfter(lastVoiceTwo,1,false)
					end

					-- cérer une nouvelle entrée et garder note aigue (supprime note grave)
					newEntry:CopyEntry(noteentry)
					newEntry:CopyEntryDetails(noteentry,true)
					newEntry.Legality=true
					local noteBasse = newEntry:CalcLowestNote(NULL)
					newEntry:DeleteNote(noteBasse)
					newEntry.Voice2 = true
					newEntry.StemUp = true

					-- garder note grave (supprime note aigue)
					local noteHaute = noteentry:CalcHighestNote(NULL)
					noteentry:DeleteNote(noteHaute)

					lastVoiceTwo = newEntry
					notVoiceTwo = false
					ind = ind + 1
				else
					notVoiceTwo = true
				end
			end

			ind = ind + 1
		until ind >= layer1.Count

		layer1:Save()
	end
end

local function main()
	local musicregion = finale.FCMusicRegion()
	musicregion:SetCurrentSelection()
	if musicregion:IsEmpty() then
		finenv.UI():AlertInfo("Veuillez effectuer une sélection",plugindef())
		return
	end

	creerVoix(musicregion)
end

main()